## hydra 8.6

=== debian/changelog ===
hydra (8.6-1build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 22:32:48 +0000

hydra (8.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Merge the following patches together to one single 00_spelling.diff patch
    pushed upstream:
    + 04_fix_hyphen-used-as-minus-sign.diff
    + 08_fix_spelling_mistakes.diff
    + 13_fix_typos.diff
  * Refresh remaining patches.
  * Add libgcrypt-dev as Build-Dependency so hydra is built with radmin2
    support (new module added in hydra 8.6).
  * Add -Wl,--as-needed to LDFLAGS to avoid unnecessary linking.
  * Change priority from extra to optional.
  * Bump Standards-Version to 4.0.0 (no changes required).
  * Exclude Makefile.orig from dh_clean as it is part of upstream's tarball.

 -- Lukas Schwaighofer <lukas@schwaighofer.name>  Tue, 01 Aug 2017 22:41:27 +0200

hydra (8.5-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches
    + Updated:
      + 09_use_correct_install_dir_dlp4hydra.diff
      + 05_add_option_to_cflag.diff
      + 02_using_supported_protocols.diff
      + 04_fix_hyphen-used-as-minus-sign.diff
      + 08_fix_spelling_mistakes.diff
    + Remove because merge with upstream:
      + 10_fix_typos_in_manpage.diff
      + 11_fix_man_typo.patch
      + 12_allocate-pointer-size-correctly.path
    + Created:
      + 13_fix_typos.diff
        + Fix some typo error in multiples files

 -- Daniel Echeverry <epsilon77@gmail.com>  Sat, 24 Jun 2017 10:32:28 -0500

=== debian/control ===
Source: hydra
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Security Tools Packaging Team <pkg-security-team@lists.alioth.debian.org> 
Uploaders: Julián Moreno Patiño <julian@debian.org>, Daniel Echeverry <epsilon77@gmail.com>
Build-Depends: autotools-dev,
 debhelper (>= 9),
 firebird-dev[!hurd-any],
 libgtk2.0-dev,
 libidn11-dev,
 default-libmysqlclient-dev,
 libgcrypt-dev,
 libncurses-dev,
 libpcre3-dev,
 libpq-dev,
 libssh-dev,
 libsvn-dev,
 pkg-config, 
 dh-exec
Standards-Version: 4.0.0
Homepage: http://freeworld.thc.org/thc-hydra/
Vcs-Git: https://anonscm.debian.org/git/pkg-security/hydra.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-security/hydra.git

Package: hydra
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: hydra-gtk
Recommends: wget | curl
Description: very fast network logon cracker
 Hydra is a parallelized login cracker which supports numerous protocols
 to attack. It is very fast and flexible, and new modules are easy to add.
 .
 This tool makes it possible for researchers and security consultants to
 show how easy it would be to gain unauthorized access to a system
 remotely.
 .
 It supports: Cisco AAA, Cisco auth, Cisco enable, CVS, FTP, HTTP(S)-FORM-GET,
 HTTP(S)-FORM-POST, HTTP(S)-GET, HTTP(S)-HEAD, HTTP-Proxy, ICQ, IMAP, IRC,
 LDAP, MS-SQL, MySQL, NNTP, Oracle Listener, Oracle SID, PC-Anywhere, PC-NFS,
 POP3, PostgreSQL, RDP, Rexec, Rlogin, Rsh, SIP, SMB(NT), SMTP, SMTP Enum,
 SNMP v1+v2+v3, SOCKS5, SSH (v1 and v2), SSHKEY, Subversion, Teamspeak (TS2),
 Telnet, VMware-Auth, VNC and XMPP.

Package: hydra-gtk
Architecture: any
Depends: hydra (>= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: very fast network logon cracker - GTK+ based GUI
 Hydra is a parallelized login cracker which supports numerous protocols
 to attack. It is very fast and flexible, and new modules are easy to add.
 .
 This tool makes it possible for researchers and security consultants to
 show how easy it would be to gain unauthorized access to a system
 remotely.
 .
 It supports: Cisco AAA, Cisco auth, Cisco enable, CVS, FTP, HTTP(S)-FORM-GET,
 HTTP(S)-FORM-POST, HTTP(S)-GET, HTTP(S)-HEAD, HTTP-Proxy, ICQ, IMAP, IRC,
 LDAP, MS-SQL, MySQL, NNTP, Oracle Listener, Oracle SID, PC-Anywhere, PC-NFS,
 POP3, PostgreSQL, RDP, Rexec, Rlogin, Rsh, SIP, SMB(NT), SMTP, SMTP Enum,
 SNMP v1+v2+v3, SOCKS5, SSH (v1 and v2), SSHKEY, Subversion, Teamspeak (TS2),
 Telnet, VMware-Auth, VNC and XMPP.
 .
 This package provides the GTK+ based GUI for hydra.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
INSTALL := install -o root -g root -m 755

%:
	dh $@ 

override_dh_auto_install:
	$(INSTALL) hydra $(CURDIR)/debian/hydra/usr/bin
	$(INSTALL) pw-inspector $(CURDIR)/debian/hydra/usr/bin
	$(INSTALL) xhydra $(CURDIR)/debian/hydra-gtk/usr/bin

# Makefile.orig is part of the upstream's tarball and should not be removed
override_dh_clean:
	dh_clean --exclude=Makefile.orig

## hydra 8.8

=== debian/changelog ===
hydra (8.8-1build1) disco; urgency=medium

  * No-change rebuild against libmysqlclient21

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 01 Feb 2019 18:00:36 +0000

hydra (8.8-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    + Change homepage url.
    + Bump Standards-Version to 4.3.0.
    + Change my email address.
    + Update DH to 11 in B-D.
      + Remove autotools-dev in B-D.
    + Add d/upstream/metadata file.
  * debian/copyright
    + Use HTTPS in format URL.
    + Extend copyright holders years.
    + Change my email address.
  * debian/patches
    + Remove 00_spelling.diff
    + Remove 08_fix_segfault.diff
      + Merge with upstream.
    + Refresh 05_add_option_to_cflag.diff patch.
    + Refresh 02_using_supported_protocols.diff patch.
    + Add 10_fix_spelling_error.diff patch.
  * Switch compat level 9 to 11.
  * Remove some trailing whitespace characters.

 -- Daniel Echeverry <epsilon@debian.org>  Mon, 07 Jan 2019 17:13:57 -0500

hydra (8.6-3) unstable; urgency=medium

  * Team upload.
  * Import an upstream patch to fix segfault
  * Bump Standards-Version to 4.2.1

 -- Sophie Brun <sophie@freexian.com>  Tue, 04 Sep 2018 14:27:58 +0200

hydra (8.6-2) unstable; urgency=medium

  * Team upload.
  * Bump standards version to 4.2.0.
  * Update team maintainer address to Debian Security Tools
    <team+pkg-security@tracker.debian.org>
  * Update Vcs-Git and Vcs-Browser for the move to salsa.debian.org

 -- Raphaël Hertzog <hertzog@debian.org>  Sat, 25 Aug 2018 15:52:20 +0200

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,9 @@
 Section: net
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Security Tools Packaging Team <pkg-security-team@lists.alioth.debian.org> 
-Uploaders: Julián Moreno Patiño <julian@debian.org>, Daniel Echeverry <epsilon77@gmail.com>
-Build-Depends: autotools-dev,
- debhelper (>= 9),
+XSBC-Original-Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
+Uploaders: Julián Moreno Patiño <julian@debian.org>, Daniel Echeverry <epsilon@debian.org>
+Build-Depends: debhelper (>= 11),
  firebird-dev[!hurd-any],
  libgtk2.0-dev,
  libidn11-dev,
@@ -16,12 +15,12 @@
  libpq-dev,
  libssh-dev,
  libsvn-dev,
- pkg-config, 
+ pkg-config,
  dh-exec
-Standards-Version: 4.0.0
-Homepage: http://freeworld.thc.org/thc-hydra/
-Vcs-Git: https://anonscm.debian.org/git/pkg-security/hydra.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-security/hydra.git
+Standards-Version: 4.3.0
+Homepage: https://github.com/vanhauser-thc/thc-hydra
+Vcs-Git: https://salsa.debian.org/pkg-security-team/hydra.git
+Vcs-Browser: https://salsa.debian.org/pkg-security-team/hydra
 
 Package: hydra
 Architecture: any

## hydra 9.0

=== debian/changelog ===
hydra (9.0-1build1) eoan; urgency=medium

  * No change rebuild for libmysqlclient21.

 -- Robie Basak <robie.basak@ubuntu.com>  Mon, 12 Aug 2019 02:00:47 +0000

hydra (9.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 9.0
  * Refresh patches
  * Add build-depends: freerdp2-dev,libmemcached-dev,libmongoc-dev
  * Update debian/copyright
  * Bump Standards-Version to 4.4.0 (no changes)

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 19 Jul 2019 11:14:25 +0200

hydra (8.9.1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 8.9.1
  * Bump Debhelper compat level
  * Drop obsolete patch

 -- Hilko Bengen <bengen@debian.org>  Sat, 02 Mar 2019 16:55:16 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: hydra
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
+Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Julián Moreno Patiño <julian@debian.org>, Daniel Echeverry <epsilon@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper (>= 12~),
  firebird-dev[!hurd-any],
+ freerdp2-dev,
  libgtk2.0-dev,
  libidn11-dev,
  default-libmysqlclient-dev,
  libgcrypt-dev,
+ libmemcached-dev,
+ libmongoc-dev,
  libncurses-dev,
  libpcre3-dev,
  libpq-dev,
@@ -17,7 +19,7 @@
  libsvn-dev,
  pkg-config,
  dh-exec
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://github.com/vanhauser-thc/thc-hydra
 Vcs-Git: https://salsa.debian.org/pkg-security-team/hydra.git
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/hydra

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 INSTALL := install -o root -g root -m 755
 
 %:
-	dh $@ 
+	dh $@
 
 override_dh_auto_install:
 	$(INSTALL) hydra $(CURDIR)/debian/hydra/usr/bin

## hydra 9.1

=== debian/changelog ===
hydra (9.1-1) unstable; urgency=medium

  [ Daniel Echeverri ]
  * New upstream release.
  * debian/control
    + Use debhelper-compat instead of debian/compat.
      + Update to debhelper 13.
    + Bump Standards-Version to 4.5.0 (no changes).
    + Update my last name.
    + Mark Rules-Requires-Root: no as we don't need root for building.
  * debian/patches
    + Refresh 01_fix_include_libpq-dev.diff patch.
    + Refresh 05_add_option_to_cflag.diff patch.
    + Refresh 02_using_supported_protocols.diff patch.
    + Refresh 03_use_bin_path.diff patch.
    + Refresh 07_remove_troubled_files.diff patch.
    + Add 10_fix_ftbfs_xhydra.diff patch
      + Fix FTBFS with GCC-10. (Closes: #957347)
  * Update docs file.
  * Update metadata file.
  * debian/rules
    + Remove some flags.

  [ Samuel Henrique ]
  * Add salsa-ci.yml file.
  * Configure git-buildpackage for Debian.

 -- Daniel Echeverri <epsilon@debian.org>  Thu, 30 Jul 2020 21:44:31 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: net
 Priority: optional
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
-Uploaders: Julián Moreno Patiño <julian@debian.org>, Daniel Echeverry <epsilon@debian.org>
-Build-Depends: debhelper (>= 12~),
+Uploaders: Julián Moreno Patiño <julian@debian.org>, Daniel Echeverri <epsilon@debian.org>
+Build-Depends: debhelper-compat (= 13),
  firebird-dev[!hurd-any],
  freerdp2-dev,
  libgtk2.0-dev,
@@ -19,10 +19,11 @@
  libsvn-dev,
  pkg-config,
  dh-exec
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: https://github.com/vanhauser-thc/thc-hydra
 Vcs-Git: https://salsa.debian.org/pkg-security-team/hydra.git
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/hydra
+Rules-Requires-Root: no
 
 Package: hydra
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -2,8 +2,7 @@
 
 #export DH_VERBOSE=1
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
-INSTALL := install -o root -g root -m 755
+INSTALL := install -m 755
 
 %:
 	dh $@

## hydra 9.2

=== debian/changelog ===
hydra (9.2-1ubuntu1) jammy; urgency=medium

  * Adjust include directory for memcached so as to not shadow the
    /usr/include/limits.h file for the one in memcached (LP: #1959622).

 -- Dan Bungert <daniel.bungert@canonical.com>  Mon, 31 Jan 2022 14:45:43 -0700

hydra (9.2-1build1) jammy; urgency=medium

  * No-change rebuild against libssl3

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 08 Dec 2021 23:34:21 +0000

hydra (9.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    + Bump Standards-Version to 4.6.0.1 (no changes).
  * debian/patches
    + Refresh 05_add_option_to_cflag.diff patch.
    + Refresh 03_use_bin_path.diff patch.
    + Remove 10_fix_ftbfs_xhydra.diff patch.
      + Merge with upstream.
    * set not-needed value in Forwarded field in some patches.
  * debian/upstream/metadata
    + Update field name.
  * debian/rules
    + Uses build system compiler and pkg-config. (Closes: #983058)
      + Thanks to John Scott for the patch.

 -- Daniel Echeverri <epsilon@debian.org>  Fri, 12 Nov 2021 19:52:58 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: hydra
 Section: net
 Priority: optional
-Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Julián Moreno Patiño <julian@debian.org>, Daniel Echeverri <epsilon@debian.org>
 Build-Depends: debhelper-compat (= 13),
  firebird-dev[!hurd-any],
@@ -19,7 +20,7 @@
  libsvn-dev,
  pkg-config,
  dh-exec
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0.1
 Homepage: https://github.com/vanhauser-thc/thc-hydra
 Vcs-Git: https://salsa.debian.org/pkg-security-team/hydra.git
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/hydra

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,14 @@
 #!/usr/bin/make -f
+
+include /usr/share/dpkg/architecture.mk
+include /usr/share/dpkg/buildtools.mk
 
 #export DH_VERBOSE=1
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 INSTALL := install -m 755
+
+export CC
+export PKG_CONFIG ?= $(DEB_HOST_GNU_TYPE)-pkg-config
 
 %:
 	dh $@

## hydra 9.3

=== debian/changelog ===
hydra (9.3-3) unstable; urgency=medium

  * debian/patches
    + Refresh 11_change_exit_output.diff patch. (Closes: #1008028)
  * debian/rules
    + Add DEB_HOST_GNU_TYPE and DEB_BUILD_GNU_TYPE variables.

 -- Daniel Echeverri <epsilon@debian.org>  Sat, 16 Apr 2022 16:26:41 -0500

hydra (9.3-2) unstable; urgency=medium

  * debian/patches
    + Add 11_change_exit_output.diff patch.
      + Make build fails when xhydra can't compile. (Closes: #1008028)
  * debian/upstream/metadata
    + Remove obsolete field Name.

 -- Daniel Echeverri <epsilon@debian.org>  Sat, 02 Apr 2022 12:35:54 -0500

hydra (9.3-1) unstable; urgency=medium

  * New upstream release. (Closes: #1004707).
  * Update d/docs file.
  * debian/control
    + Switch to pcre2 lib. (Closes: #1000116).
  * debian/patches
    + Refresh 05_add_option_to_cflag.diff  patch.
    + Refresh 07_remove_troubled_files.diff patch.
    + Add Forwarded field to 03_use_bin_path.diff patch.
    + Add 10_switch_pcre2_lib.diff patch.

 -- Daniel Echeverri <epsilon@debian.org>  Wed, 02 Mar 2022 21:57:37 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: hydra
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
+Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Julián Moreno Patiño <julian@debian.org>, Daniel Echeverri <epsilon@debian.org>
 Build-Depends: debhelper-compat (= 13),
  firebird-dev[!hurd-any],
@@ -14,7 +13,7 @@
  libmemcached-dev,
  libmongoc-dev,
  libncurses-dev,
- libpcre3-dev,
+ libpcre2-dev,
  libpq-dev,
  libssh-dev,
  libsvn-dev,

## hydra 9.4

=== debian/changelog ===
hydra (9.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    + Bump Standards-Version to 4.6.1 (no changes).
  * debian/copyright
    + Extend debian copyright holders years.
  * debian/patches
    + Refresh 03_use_bin_path.diff patch.
    + Remove 10_switch_pcre2_lib.diff patch.
      + Merge with upstream.
  * debian/source/lintian-overrides
    + Add lintian overrides for some long lines.

 -- Daniel Echeverri <epsilon@debian.org>  Sat, 22 Oct 2022 20:25:55 -0500

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
  libsvn-dev,
  pkg-config,
  dh-exec
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.1
 Homepage: https://github.com/vanhauser-thc/thc-hydra
 Vcs-Git: https://salsa.debian.org/pkg-security-team/hydra.git
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/hydra

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,8 @@
 
 export CC
 export PKG_CONFIG ?= $(DEB_HOST_GNU_TYPE)-pkg-config
+export DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+export DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
 %:
 	dh $@

## hydra 9.5

=== debian/changelog ===
hydra (9.5-2) unstable; urgency=medium

  * Drop hydra-gtk. (Closes: #967532)
    + Thanks Bastian Germann for the patch!
  * debian/control
    + Switch from freerdp2 to freerdp3. (Closes: #1081522)
    + Switch from pkg-config to pkgconf.
    + Bump Standards-Version to 4.7.0
  * debian/copyright
    + Extend debian copyright holders years.
  * debian/patches
    + Add 12_port_to_freerdp3.diff patch.
    + Remove 11_change_exit_output.diff patch.

 -- Daniel Echeverri <epsilon@debian.org>  Sat, 14 Sep 2024 19:10:54 -0500

hydra (9.5-1) unstable; urgency=medium

  * New upstream version 9.5
  * debian/patches
    + Refresh 11_change_exit_output.diff patch and fix typo.
    + Refresh 07_remove_troubled_files.diff patch.
    + Refresh 05_add_option_to_cflag.diff patch.
    + Set to not-needed in forwarded field.
  * debian/copyright
    + Extend debian copyright holders years.
  * debian/control
    + Bump Standards-Version to 4.6.2.
    + update to libidn-dev in B-D.
  * debian/rules
    + Use iconv to set utf-8 encoding to fix lintian warning.

 -- Daniel Echeverri <epsilon@debian.org>  Mon, 03 Jul 2023 20:40:15 -0500

=== debian/control ===
Source: hydra
Section: net
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Julián Moreno Patiño <julian@debian.org>, Daniel Echeverri <epsilon@debian.org>
Build-Depends: debhelper-compat (= 13),
 firebird-dev[!hurd-any],
 freerdp3-dev,
 libidn-dev,
 default-libmysqlclient-dev,
 libgcrypt-dev,
 libmemcached-dev,
 libmongoc-dev,
 libncurses-dev,
 libpcre2-dev,
 libpq-dev,
 libssh-dev,
 libsvn-dev,
 pkgconf,
 dh-exec
Standards-Version: 4.7.0
Homepage: https://github.com/vanhauser-thc/thc-hydra
Vcs-Git: https://salsa.debian.org/pkg-security-team/hydra.git
Vcs-Browser: https://salsa.debian.org/pkg-security-team/hydra
Rules-Requires-Root: no

Package: hydra
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: wget | curl
Description: very fast network logon cracker
 Hydra is a parallelized login cracker which supports numerous protocols
 to attack. It is very fast and flexible, and new modules are easy to add.
 .
 This tool makes it possible for researchers and security consultants to
 show how easy it would be to gain unauthorized access to a system
 remotely.
 .
 It supports: Cisco AAA, Cisco auth, Cisco enable, CVS, FTP, HTTP(S)-FORM-GET,
 HTTP(S)-FORM-POST, HTTP(S)-GET, HTTP(S)-HEAD, HTTP-Proxy, ICQ, IMAP, IRC,
 LDAP, MS-SQL, MySQL, NNTP, Oracle Listener, Oracle SID, PC-Anywhere, PC-NFS,
 POP3, PostgreSQL, RDP, Rexec, Rlogin, Rsh, SIP, SMB(NT), SMTP, SMTP Enum,
 SNMP v1+v2+v3, SOCKS5, SSH (v1 and v2), SSHKEY, Subversion, Teamspeak (TS2),
 Telnet, VMware-Auth, VNC and XMPP.

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,13 @@
 override_dh_auto_install:
 	$(INSTALL) hydra $(CURDIR)/debian/hydra/usr/bin
 	$(INSTALL) pw-inspector $(CURDIR)/debian/hydra/usr/bin
-	$(INSTALL) xhydra $(CURDIR)/debian/hydra-gtk/usr/bin
+
+override_dh_install:
+	dh_install
+	iconv -c -f UTF-8 -t UTF-8 $(CURDIR)/debian/hydra/usr/share/hydra/dpl4hydra_local.csv > \
+        $(CURDIR)/debian/hydra/usr/share/hydra/dpl4hydra_local.csv.tmp
+	mv $(CURDIR)/debian/hydra/usr/share/hydra/dpl4hydra_local.csv.tmp \
+        $(CURDIR)/debian/hydra/usr/share/hydra/dpl4hydra_local.csv
 
 # Makefile.orig is part of the upstream's tarball and should not be removed
 override_dh_clean:

## hydra 9.6

=== debian/changelog ===
hydra (9.6-1) unstable; urgency=medium

  * New upstream release.
    Fix FTBFS with GCC-15. (Closes: #1096821)
  * debian/patches
    + Refresh 05_add_option_to_cflag.diff patch.
    + Remove 12_port_to_freerdp3.diff patch.
      + Merge with upstream.
    + Remove hydra-http-form.c-fix-spelling.patch
      + Merge with upstream.
  * debian/copyright
    + Extend debian copyright holders years.

 -- Daniel Echeverri <epsilon@debian.org>  Sat, 06 Sep 2025 19:52:15 -0500

hydra (9.5-4) unstable; urgency=medium

  * Team upload.
  * d/control: Bump Standards-Version to 4.7.2.
  * d/patches/hydra-http-form.c-fix-spelling.patch: Fix spelling.

 -- Daniel Pimentel <d4n1@d4n1.org>  Thu, 07 Aug 2025 20:32:32 -0300

hydra (9.5-3) unstable; urgency=medium

  * Use recode to convert file to UTF-8. (Closes: #1084275)
  * debian/patches
    + Add 13_use_bash.diff patch to use bash instead sh.

 -- Daniel Echeverri <epsilon@debian.org>  Thu, 10 Oct 2024 20:01:46 -0500

=== debian/control ===
--- 
+++ 
@@ -17,8 +17,9 @@
  libssh-dev,
  libsvn-dev,
  pkgconf,
- dh-exec
-Standards-Version: 4.7.0
+ dh-exec,
+ recode
+Standards-Version: 4.7.2
 Homepage: https://github.com/vanhauser-thc/thc-hydra
 Vcs-Git: https://salsa.debian.org/pkg-security-team/hydra.git
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/hydra

=== debian/rules ===
--- 
+++ 
@@ -21,10 +21,7 @@
 
 override_dh_install:
 	dh_install
-	iconv -c -f UTF-8 -t UTF-8 $(CURDIR)/debian/hydra/usr/share/hydra/dpl4hydra_local.csv > \
-        $(CURDIR)/debian/hydra/usr/share/hydra/dpl4hydra_local.csv.tmp
-	mv $(CURDIR)/debian/hydra/usr/share/hydra/dpl4hydra_local.csv.tmp \
-        $(CURDIR)/debian/hydra/usr/share/hydra/dpl4hydra_local.csv
+	recode ISO-8859-1..UTF-8 $(CURDIR)/debian/hydra/usr/share/hydra/dpl4hydra_local.csv
 
 # Makefile.orig is part of the upstream's tarball and should not be removed
 override_dh_clean:

=== debian/watch ===
version=4
#http://www.thc.org/thc-hydra/releases/hydra-(.*)\.tar\.gz
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%hydra-$1.tar.gz%" \
  https://github.com/vanhauser-thc/thc-hydra/tags \
  (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## hydra poster-0.1.1

=== Makefile ===
.PHONY: help install lint format type-check test ci clean

help:  ## Show this help message
	@echo "Available targets:"
	@grep -E '^[a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) | sort | awk 'BEGIN {FS = ":.*?## "}; {printf "  \033[36m%-15s\033[0m %s\n", $$1, $$2}'

install:  ## Install dependencies
	uv sync --dev

lint:  ## Run ruff linting
	uv run ruff check src/ tests/

format:  ## Run ruff formatting
	uv run ruff format src/ tests/

format-check:  ## Check ruff formatting without making changes
	uv run ruff format --check src/ tests/

type-check:  ## Run mypy type checking
	uv run mypy src/

test:  ## Run fast tests (default - excludes slow tests)
	uv run pytest

test-fast:  ## Run fast tests only (alias for test)
	uv run pytest -m "not slow"

test-all:  ## Run all tests including slow ones
	uv run pytest -m ""

test-slow:  ## Run only slow tests
	uv run pytest -m "slow"

test-integration:  ## Run integration tests only
	uv run pytest -m "integration"

test-cov:  ## Run fast tests with coverage
	uv run pytest --cov=hydra_poster --cov-report=term-missing --cov-report=html --cov-fail-under=90

test-cov-all:  ## Run all tests with coverage
	uv run pytest -m "" --cov=hydra_poster --cov-report=term-missing --cov-report=html --cov-fail-under=90

ci:  ## Run all CI checks (lint, format-check, type-check, test)
	@echo "Running all CI checks..."
	@$(MAKE) lint
	@$(MAKE) format-check
	@$(MAKE) type-check
	@$(MAKE) test
	@echo "✅ All CI checks passed!"

clean:  ## Clean up cache files and build artifacts
	rm -rf .pytest_cache/
	rm -rf .ruff_cache/
	rm -rf .mypy_cache/
	rm -rf htmlcov/
	rm -rf src/*.egg-info/
	rm -rf dist/
	rm -rf build/
	find . -type d -name __pycache__ -exec rm -rf {} +
	find . -type f -name "*.pyc" -delete

build:  ## Build the package
	uv build

dev:  ## Install package in development mode
	uv sync --dev

## hydra zen-0.11.0

=== docs/requirements.txt ===
sphinx==6.2.0
pydata-sphinx-theme==0.13.3
numpydoc==1.5.0
sphinx-copybutton==0.5.2
sphinx-design==0.4.1
sphinx-codeautolink==0.15.0
sphinx_favicon==1.0.1
# third-party utilities
beartype==0.14.1
pydantic==1.10.8
